## Font Source Font Source — Font directory entry |

## Functions

FontManagerSource * | font_manager_source_new ()
void | font_manager_source_update ()
gchar * | font_manager_source_get_status_message ()

## Properties

gboolean | active | Read / Write
gboolean | available | Read
GFile * | file | Read / Write
gchar * | icon-name | Read
gchar * | name | Read
gchar * | path | Read

## Signals

void | changed | Run Last

## Types and Values

#define | FONT_MANAGER_TYPE_SOURCE
| FontManagerSource

## Object Hierarchy

        GObject
        ╰── FontManagerSource

## Includes

    #include <font-manager-source.h>

## Description

FontManagerSource represents a user font directory.

## Functions

### font_manager_source_new ()

    FontManagerSource *
    font_manager_source_new (GFile *file);

#### Parameters

file | A GFile to create a new FontManagerSource for. | [nullable]

#### Returns

A newly created FontManagerSource. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_source_update ()

    void
    font_manager_source_update (FontManagerSource *self);

Update the status of source.

#### Parameters

self | FontManagerSource |

### font_manager_source_get_status_message ()

    gchar *
    font_manager_source_get_status_message
                                   (FontManagerSource *self);

#### Parameters

self | FontManagerSource |

#### Returns

A newly allocated string suitable for display in a user interface or `NULL`. Free the result using ``g_free()``.

[transfer full][nullable]

## Types and Values

### FONT_MANAGER_TYPE_SOURCE

    #define FONT_MANAGER_TYPE_SOURCE (font_manager_source_get_type())

### FontManagerSource

    typedef struct _FontManagerSource FontManagerSource;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether source is currently active or not.

Owner: FontManagerSource

Flags: Read / Write

Default value: FALSE

### The `“available”` property

      “available”                gboolean

Whether source is currently available or not.

Owner: FontManagerSource

Flags: Read

Default value: FALSE

### The `“file”` property

      “file”                     GFile *

The GFile backing this source

Owner: FontManagerSource

Flags: Read / Write

### The `“icon-name”` property

      “icon-name”                gchar *

Name of icon which should be used to represent this source.

Owner: FontManagerSource

Flags: Read

Default value: NULL

### The `“name”` property

      “name”                     gchar *

A string suitable for display in a user interface.

Owner: FontManagerSource

Flags: Read

Default value: NULL

### The `“path”` property

      “path”                     gchar *

Full path to source.

Owner: FontManagerSource

Flags: Read

Default value: NULL

## Signal Details

### The `“changed”` signal

    void
    user_function (FontManagerSource *self,
                   GFile             *file,
                   GFile             *other_file,
                   GFileMonitorEvent  event_type,
                   gpointer           user_data)

Emitted when source has changed.

See GFileMonitor's “changed” signal for parameter details.

#### Parameters

self | FontManagerSource which changed |
file | GFile |
other_file | GFile |
event_type | GFileMonitorEvent |
user_data | user data set when the signal handler was connected. |

Flags: Run Last